import { Action, QueryResponse } from '../../client/client.types';
export declare type QueryApi<T> = {
    loading: boolean;
    query: () => Promise<QueryResponse<T>>;
} & QueryResponse<T>;
export declare type QueryProps<T, R> = {
    initFetch?: boolean;
    action: Action<R>;
    children: (props: QueryApi<T>) => any;
};
