import { QueryResponse } from '../client/client.types';
export declare type ResponseReducerState<T> = {
    response: QueryResponse<T>;
    loading: boolean;
};
export declare type Action<T> = {
    response?: QueryResponse<T>;
    type: string;
};
export declare type ResponseReducer<T> = (state: ResponseReducerState<T>, action: Action<T>) => ResponseReducerState<T>;
