"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var mutationContext_1 = require("../../context/mutationContext/mutationContext");
exports.useMutationContext = function () {
    var context = react_1.useContext(mutationContext_1.MutationContext);
    if (context === undefined) {
        throw new Error('useMutationContext useQueryContext must be used within a MutationContext.Provider');
    }
    return context;
};
