import { Action } from '../../client/client.types';
export declare const useSuspenseQuery: <T, R = any>(action: Action<R>) => {
    query: () => void;
    status?: number | undefined;
    error: boolean;
    errorObject?: any;
    payload?: T | undefined;
    headers?: Headers | undefined;
};
